Bug 7400 - Intel EtherExpress Pro/10 NIC unstable under SMP kernel
Summary: Intel EtherExpress Pro/10 NIC unstable under SMP kernel
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-28 22:55 UTC by jimw
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-01 07:25:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jimw 1999-11-28 22:55:07 UTC
The current version of the Intel EtherExpress PRO network driver
(82595TX based card) appears to go unstable when run under a SMP kernel.

The driver fails under loads over apx. 15% ethernet utilization on a dual
Pentium processor based system (dual 90mHz processors - Micronics M54pe
motherboard) with the following error:

kernel: eth0: transmit timed out.  network cable problem?

Same hardware configuration tests OK at 75% ethernet utilization when
booted under the distribution (single processor) kernel.

Card configuration info:  10baseT connection, I/O base: 0x2A0 IRQ: 10
Concurrent processing: Disabled, EEProm addressing: Disabled

Failure modes:  network card will uauslly go inactive following noted
error.  In apparently random instances the card will recover and begin
processing packets again.  Running 'ifconfig eth0 down; ifconfig eth0 up'
will usually clear the fault, but it has also been noticed that on occasion
recycling the card can (somehow) impact other systems on the local network.

Again, this failure has only been noted when running under SMP.

Comment 1 jimw 1999-12-01 07:25:59 UTC
Update 30-Nov-1999 - My apologies.  Further investigation found a local
compilation error which appears to have caused the fault.


Note You need to log in before you can comment on or make changes to this bug.